Manuel PHP
Précédent |  | Suivant

# constant

(PHP 4 >= 4.0.4, PHP 5)

constant -- Retourne la valeur d'une constante

## Description

mixed constant ( string name )

constant() retourne la valeur de la constante name.

constant() est pratique lorsque vous devez lire la valeur d'une constante, mais que vous ne connaissez son nom que durant l'exécution du script. Par exemple, ce nom peut être le résultat d'une fonction.

Exemple 1. Exemple avec constant()

`<?php define ("MAXSIZE", 100); echo MAXSIZE; echo constant("MAXSIZE"); // identique a la ligne precedente ?>`

Voir aussi define(), defined() et la section sur les constantes.

Précédent | Sommaire | Suivant
connection_timeout | Niveau supérieur | define